package com.srs.dormitory.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.srs.dormitory.domain.DmsCheckLog;

/**
 * 查寝推送日志Service接口
 *
 * @author srs
 * @date 2024-12-29
 */
public interface IDmsCheckLogService extends IService<DmsCheckLog> {


    List<DmsCheckLog> listView(DmsCheckLog dmsCheckLog);


    /**
     * 查询查寝推送日志
     *
     * @param id 查寝推送日志主键
     * @return 查寝推送日志
     */
    public DmsCheckLog selectDmsCheckLogById(Long id);

    /**
     * 查询查寝推送日志列表
     *
     * @param dmsCheckLog 查寝推送日志
     * @return 查寝推送日志集合
     */
    List<DmsCheckLog> selectDmsCheckLogList(DmsCheckLog dmsCheckLog);

    /**
     * 新增查寝推送日志
     *
     * @param dmsCheckLog 查寝推送日志
     * @return 结果
     */
    int insertDmsCheckLog(DmsCheckLog dmsCheckLog);

    /**
     * 修改查寝推送日志
     *
     * @param dmsCheckLog 查寝推送日志
     * @return 结果
     */
    int updateDmsCheckLog(DmsCheckLog dmsCheckLog);

    /**
     * 批量删除查寝推送日志
     *
     * @param ids 需要删除的查寝推送日志主键集合
     * @return 结果
     */
    int deleteDmsCheckLogByIds(Long[] ids);

    /**
     * 删除查寝推送日志信息
     *
     * @param id 查寝推送日志主键
     * @return 结果
     */
    int deleteDmsCheckLogById(Long id);
}
